diff deploy/osx/sign.sh @ 1398:6f5a40419b00 bqaudioio

Merge from branch bqresample
author Chris Cannam
date Wed, 07 Dec 2016 11:53:44 +0000
parents 2d48532a074b
children 298651b1a002
line wrap: on
line diff
--- a/deploy/osx/sign.sh	Mon Aug 17 16:19:01 2015 +0100
+++ b/deploy/osx/sign.sh	Wed Dec 07 11:53:44 2016 +0000
@@ -1,5 +1,7 @@
 #!/bin/bash 
 
+set -eu
+
 # Execute this from the top-level directory of the project (the one
 # that contains the .app bundle).  Supply the name of the .app bundle
 # as argument
@@ -17,6 +19,9 @@
     find "$app" -name \*.dylib -print | while read fr; do
 	codesign -s "Developer ID Application: Chris Cannam" -fv "$fr"
     done
+    find "$app/Contents/MacOS" -type f -print | while read fr; do
+	codesign -s "Developer ID Application: Chris Cannam" -fv "$fr"
+    done
     codesign -s "Developer ID Application: Chris Cannam" -fv \
          --requirements '=designated =>  identifier "org.sonicvisualiser.SonicVisualiser" and ( (anchor apple generic and    certificate leaf[field.1.2.840.113635.100.6.1.9] ) or (anchor apple generic and    certificate 1[field.1.2.840.113635.100.6.2.6]  and    certificate leaf[field.1.2.840.113635.100.6.1.13] and    certificate leaf[subject.OU] = "M2H8666U82"))' \
          "$app"